Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1516)
+++ palm/trunk/SOURCE/Makefile	(revision 1517)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# 
+# advec_s_bc added to prognostic_equations
 # 
 # Former revisions:
@@ -405,5 +405,5 @@
 print_1d.o: modules.o cpulog.o mod_kinds.o
 production_e.o: modules.o mod_kinds.o wall_fluxes.o
-prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_u_pw.o \
+prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_s_bc.o advec_u_pw.o \
 	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o \
 	advec_ws.o buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 1516)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1517)
@@ -1,3 +1,3 @@
- SUBROUTINE advec_s_bc( sk, sk_char )
+MODULE advec_s_bc_mod
 
 !--------------------------------------------------------------------------------!
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! interface added to advec_s_bc
 ! 
 ! Former revisions:
